Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
Class Javadoc

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.javadoc.Javadoc

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task

    public class Javadoc

extends org.gradle.api.internal.ConventionTask

Generates Javadoc from a number of java source directories.

Field Summary

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Javadoc(Project project, java.lang.String name)`

Method Summary
`Javadoc` | `alwaysAppendDefaultClasspath()`
`Javadoc` | `alwaysAppendDefaultSourcepath()`
`void` | `exclude(java.lang.String... exclude)`
`java.io.File` | `getClassesDir()`
`java.util.Set<java.io.File>` | `getClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`FileCollection` | `getConfiguration()`
`java.io.File` | `getDestinationDir()` Returns the directory to generate the documentation into.
`java.util.List<java.lang.String>` | `getExclude()`
`java.lang.String` | `getMaxMemory()` Returns the amount of memory allocated to this task.
`MinimalJavadocOptions` | `getOptions()`
`java.lang.String` | `getOptionsFilename()`
`java.util.List<java.io.File>` | `getSrcDirs()` Returns the source directories containing the java source files to generate documentation for.
`java.lang.String` | `getTitle()` Returns the title for the generated documentation.
`boolean` | `isAlwaysAppendDefaultClasspath()`
`boolean` | `isAlwaysAppendDefaultSourcepath()`
`boolean` | `isFailOnError()`
`boolean` | `isVerbose()` Returns whether javadoc generation is accompanied by verbose output.
`void` | `setAlwaysAppendDefaultClasspath(boolean alwaysAppendDefaultClasspath)`
`void` | `setAlwaysAppendDefaultSourcepath(boolean alwaysAppendDefaultSourcepath)`
`void` | `setConfiguration(FileCollection configuration)`
`void` | `setDestinationDir(java.io.File destinationDir)` Sets the directory to generate the documentation into.
`void` | `setFailOnError(boolean failOnError)`
`void` | `setMaxMemory(java.lang.String maxMemory)` Sets the amount of memory allocated to this task.
`void` | `setOptions(MinimalJavadocOptions options)`
`void` | `setOptionsFilename(java.lang.String optionsFilename)`
`void` | `setSrcDirs(java.util.List<java.io.File> srcDirs)` Sets the source directories containing the java source files to generate documentation for.
`void` | `setTitle(java.lang.String title)` Sets the title for the generated documentation.
`void` | `setVerbose(boolean verbose)` Sets whether javadoc generation is accompanied by verbose output or not.

Methods inherited from class org.gradle.api.internal.ConventionTask
`conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift, methodMissing, propertyMissing, setProperty`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setSkipProperties, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass`

Constructor Detail

### Javadoc

    public Javadoc(Project project,
                   java.lang.String name)

Method Detail

### getSrcDirs

    public java.util.List<java.io.File> getSrcDirs()

  Returns the source directories containing the java source files to generate documentation for.

  Returns:
    The source directories. Never returns null.

### setSrcDirs

    public void setSrcDirs(java.util.List<java.io.File> srcDirs)

  Sets the source directories containing the java source files to generate documentation for.

### getClassesDir

    public java.io.File getClassesDir()

### getDestinationDir

    public java.io.File getDestinationDir()

  Returns the directory to generate the documentation into.

  Returns:
    The directory.

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

  Sets the directory to generate the documentation into.

### getClasspath

    public java.util.Set<java.io.File> getClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  Returns:
    The classpath.

### getMaxMemory

    public java.lang.String getMaxMemory()

  Returns the amount of memory allocated to this task.

### setMaxMemory

    public void setMaxMemory(java.lang.String maxMemory)

  Sets the amount of memory allocated to this task.

  Parameters:
    `maxMemory` - The amount of memory

### getTitle

    public java.lang.String getTitle()

  Returns the title for the generated documentation.

  Returns:
    The title, possibly null.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the generated documentation.

### isVerbose

    public boolean isVerbose()

  Returns whether javadoc generation is accompanied by verbose output.

  See Also:
    `setVerbose(boolean)`

### setVerbose

    public void setVerbose(boolean verbose)

  Sets whether javadoc generation is accompanied by verbose output or not. The verbose output is done via println (by the underlying ant task). Thus it is not catched by our logging.

  Parameters:
    `verbose` - Whether the output should be verbose.

### getExclude

    public java.util.List<java.lang.String> getExclude()

### exclude

    public void exclude(java.lang.String... exclude)

### getConfiguration

    public FileCollection getConfiguration()

### setConfiguration

    public void setConfiguration(FileCollection configuration)

### getOptions

    public MinimalJavadocOptions getOptions()

### setOptions

    public void setOptions(MinimalJavadocOptions options)

### isFailOnError

    public boolean isFailOnError()

### setFailOnError

    public void setFailOnError(boolean failOnError)

### getOptionsFilename

    public java.lang.String getOptionsFilename()

### setOptionsFilename

    public void setOptionsFilename(java.lang.String optionsFilename)

### isAlwaysAppendDefaultSourcepath

    public boolean isAlwaysAppendDefaultSourcepath()

### setAlwaysAppendDefaultSourcepath

    public void setAlwaysAppendDefaultSourcepath(boolean alwaysAppendDefaultSourcepath)

### alwaysAppendDefaultSourcepath

    public Javadoc alwaysAppendDefaultSourcepath()

### isAlwaysAppendDefaultClasspath

    public boolean isAlwaysAppendDefaultClasspath()

### setAlwaysAppendDefaultClasspath

    public void setAlwaysAppendDefaultClasspath(boolean alwaysAppendDefaultClasspath)

### alwaysAppendDefaultClasspath

    public Javadoc alwaysAppendDefaultClasspath()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD